Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 785496 - Review Request: php-horde-Horde-History - API for tracking the history of an object
Summary: Review Request: php-horde-Horde-History - API for tracking the history of an ...
Keywords:
Status: CLOSED DUPLICATE of bug 909713
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-29 04:41 UTC by Nick Bebout
Modified: 2013-02-10 17:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-10 17:04:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Nick Bebout 2012-01-29 04:41:45 UTC
Spec URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-History.spec
SRPM URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-History-1.0.0-1.fc16.src.rpm
Description: The Horde_History API provides a way to track changes on arbitrary pieces of data in Horde applications.

Comment 1 Shawn Iwinski 2012-06-20 02:32:09 UTC
I am not an official package reviewer, but here are some comments I have for this package:



*** It would help readability to group your Build* and Requires* statements together instead of mixing them with each other and your Provides and Conflicts statements



*** Your BuildRequires should be
BuildRequires:  php-pear(PEAR) >= 1.7.0
instead of
BuildRequires:  php-pear >= 1:1.4.9-1.2
(this would match what you have in bug 785606 and satisfy this package's package.xml dependency)



*** Your Provides statement should be
Provides:	php-pear(pear.horde.org/%{pear_name}) = %{version}
instead of
Provides:	php-pear(%{pear_name}) = %{version}



*** phpci results: For completeness (and to prevent any future packaging issues due to PHP package changes), you may wish to require the virtual provide "php-date".



*** Do you plan on building for EPEL 5?
- If not, please remove "rm -rf $RPM_BUILD_ROOT" from the %install section (see http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag).
- If you do, there are several staements that need to be added.

Comment 3 Shawn Iwinski 2012-06-23 12:38:03 UTC
(In reply to comment #2)

Ready for official review.

Comment 4 Shawn Iwinski 2012-06-23 13:06:13 UTC
(In reply to comment #3)
> Ready for official review.

I take that back.  Please add:

Requires: php-common >= 5.2.0

Comment 6 Remi Collet 2013-02-10 17:04:07 UTC
I have updated / submitted this one

*** This bug has been marked as a duplicate of bug 909713 ***


Note You need to log in before you can comment on or make changes to this bug.